gtkmm: Gdk::DisplayManager Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Public Attributes | Related Symbols | List of all members
Gdk::DisplayManager Class Reference

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...

`#include <gdkmm/displaymanager.h>`

Inheritance diagram for Gdk::DisplayManager:
[legend]

## Public Member Functions
| DisplayManager (DisplayManager && src) noexcept
DisplayManager & | operator= (DisplayManager && src) noexcept
| ~DisplayManager () noexcept override
GdkDisplayManager * | gobj ()
| Provides access to the underlying C GObject.
const GdkDisplayManager * | gobj () const
| Provides access to the underlying C GObject.
GdkDisplayManager * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Display > | get_default_display ()
| Gets the default `Gdk::Display`.
Glib::RefPtr< const Display > | get_default_display () const
| Gets the default `Gdk::Display`.
void | set_default_display (const Glib::RefPtr< Display > & display)
| Sets display as the default display.
std::vector< Glib::RefPtr< Display > > | list_displays ()
| List all currently open displays.
Glib::RefPtr< Display > | open_display (const Glib::ustring & name)
| Opens a display.
Glib::PropertyProxy< Glib::RefPtr< Display > > | property_default_display ()
| The default display.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > | property_default_display () const
| The default display.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DisplayManager > | get ()
| Gets the singleton `Gdk::DisplayManager` object.

## Public Attributes
Glib::SignalProxy< void(const Glib::RefPtr< Display > &) | signal_display_opened )()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gdk::DisplayManager > | wrap (GdkDisplayManager * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

## ◆ DisplayManager()

Gdk::DisplayManager::DisplayManager | ( | DisplayManager && | src | ) |
| noexcept

## ◆ ~DisplayManager()

Gdk::DisplayManager::~DisplayManager | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get()

static Glib::RefPtr< DisplayManager > Gdk::DisplayManager::get | ( |  | ) |
| static

Gets the singleton `Gdk::DisplayManager` object.

When called for the first time, this function consults the `GDK_BACKEND` environment variable to find out which of the supported GDK backends to use (in case GDK has been compiled with multiple backends).

Applications can use set_allowed_backends() to limit what backends will be used.

Returns
  The global `Gdk::DisplayManager` singleton.

## ◆ get_default_display() [1/2]

Glib::RefPtr< Display > Gdk::DisplayManager::get_default_display | ( |  | ) |

Gets the default `Gdk::Display`.

Returns
  A `Gdk::Display`.

## ◆ get_default_display() [2/2]

Glib::RefPtr< const Display > Gdk::DisplayManager::get_default_display | ( |  | ) | const

Gets the default `Gdk::Display`.

Returns
  A `Gdk::Display`.

## ◆ get_type()

static GType Gdk::DisplayManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GdkDisplayManager * Gdk::DisplayManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GdkDisplayManager * Gdk::DisplayManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GdkDisplayManager * Gdk::DisplayManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ list_displays()

std::vector< Glib::RefPtr< Display > > Gdk::DisplayManager::list_displays | ( |  | ) |

List all currently open displays.

Returns
  A vector of Gdk::Display objects.

## ◆ open_display()

Glib::RefPtr< Display > Gdk::DisplayManager::open_display | ( | const Glib::ustring & | name | ) |

Opens a display.

Parameters

  name | The name of the display to open.

Returns
  A `Gdk::Display`, or `nullptr` if the display could not be opened.

## ◆ operator=()

DisplayManager & Gdk::DisplayManager::operator= | ( | DisplayManager && | src | ) |
| noexcept

## ◆ property_default_display() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Display > > Gdk::DisplayManager::property_default_display | ( |  | ) |

The default display.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_default_display() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > Gdk::DisplayManager::property_default_display | ( |  | ) | const

The default display.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_default_display()

void Gdk::DisplayManager::set_default_display | ( | const Glib::RefPtr< Display > & | display | ) |

Sets display as the default display.

Parameters

  display | A `Gdk::Display`.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gdk::DisplayManager > wrap | ( | GdkDisplayManager * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ signal_display_opened

Glib::SignalProxy< void(const Glib::RefPtr< Display > &) Gdk::DisplayManager::signal_display_opened) ()

Slot Prototype:
  `void on_my_display_opened(const Glib::RefPtr<Display>& display)`

Flags: Run Last

Emitted when a display is opened.

Parameters

  display | The opened display.